Subject: bug#4684: ispell not recognized when emacs 23 (on OS X) launched from icon

From: Glenn Morris <[email-masked]>
Date: Fri, 09 Oct 2009 12:08:33 -0400

reassign 4684 emacs,ns
stop

stucker wrote:

> Hi, I am using GNU Emacs 23.1.1 (i386-apple-darwin9.7.0, NS
> apple-appkit-949.46) on OS X 10.5.8.
>
> When I launch emacs from the terminal with
>
> $ /Applications/Emacs.app/Contents/MacOS/Emacs &
>
> I can use ispell as expected.
>
> However, if I launch emacs by clicking on its icon - which presumably points
> to the same binary file -
> I get the following error:
>
> apply: Searching for program: No such file or directory, ispell

See the section "Grabbing environment variables" in the Mac OS /
GNUstep chapter of the Emacs manual. PATH is the issue here.